// Include headers from OS
#include <joyos.h>
#include <math.h>
#include <lib/pid.h>

// Include headers from helper files KEEP THIS ORDER
#include "common.c"
#include "location.c"
#include "navigation.c"
#include "gameplay.c"

int usetup (void) {
	robot_id = 15;
	printf("\nThis is Robot # %d\nPlace robot,    press go.", robot_id);
    printf ("\nStabilizing..."); 
    pause (100);
    printf ("\nCalibrating     offset...\n");
    gyro_init (GYRO_PORT, LSB_US_PER_DEG, 2000L);  // initializing the gyro
    return 0;
}

void init()
{
	start_time = get_time();
	alwaysOne = 1;
	encRunning = 0;
	motorDirection = 1;
	ForwardVel=180;
	init_lock(&objectsLock, "");
	init_servos();
	setTeam();
	startRegion = getRegion(1, NULL);
	//cor_ind = 0;
	//createThread(&startPositioning, STACK_DEFAULT, 0, ".");
}

int umain (void) {
	init();
	
	
	explore();
	
	int8_t r = getAdjacent();
	Location loc = getOpponentLocation();
	
	while(1) {
		dominateRegion(getRegion(0, NULL));
	}
	
    return 0;
}
